package es.verdnatura.domain

import android.content.Context
import es.verdnatura.presentation.view.feature.buscaritem.model.ItemLocationVO
import retrofit2.Call

class GetBuscarItemUserCase(context: Context) : RestClient(context) {

    fun searchItemsUbicador(
        usuario: String,
        password: String,
        itemFk: String
    ): Call<List<ItemLocationVO>> {
        val params: ArrayList<String> = ArrayList()
        params.add(itemFk)
        return restClient!!.searchItemsUbicador(
            "json",
            "1",
            usuario,
            password,
            "application/json",
            params = params
        )
    }

}